package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.util.StringUtils;

import java.util.Date;

@Setter
@Getter
public class OutQueryParam extends QueryParam {


    @ApiModelProperty(value = "SN号", name = "sn")
    private String sn;

    @ApiModelProperty(value = "出库类型", name = "outType")
    private Integer outType;

    @ApiModelProperty(value = "出库时间起始", name = "recordTimeStart", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date recordTimeStart;

    @ApiModelProperty(value = "出库时间结束", name = "recordTimeEnd", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date recordTimeEnd;
}
